/***************************************************************************
 *   Copyright (C) 2003-2004 by Flameeyes                                  *
 *   dgp85@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef _KVBA_H_
#define _KVBA_H_

#include "uimain.h"

#include <qstring.h>

class QProcess;
class QListBoxItem;
class QListViewItem;
class KFileTreeView;
class KFileTreeBranch;
class KAction;

class KvbaMain : public uiMain
{
Q_OBJECT
public:
	KvbaMain(QWidget *parent, const char* name);
	virtual ~KvbaMain();
	
	QProcess *vba;
	
	KFileTreeView *allDirs;
	KFileTreeBranch *root;
	KAction *editFavoritesAction;

public slots:
	void dirSelected(QListViewItem *i);

	void romDoubleClicked(QListBoxItem *i);
	void favDoubleClicked(QListViewItem *i);

	void vbaReadyStdout();
	void vbaReadyStderr();

	void addFavorites();
	void editFavorites();

	void favChangeSelection();

	void fileNewConfigActivated();
	void prefActivated();
protected:
	void InsertItems(QString path, QListViewItem *parent);
	void vbaPrepareArguments();
};

#endif // _KVBA_H_
